View Issue Details

IDProjectCategoryView StatusLast Update
0002609Ham Radio DeluxeEnhancementpublic2018-04-09 14:37
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0002609: Logbook Filter: could use an accelerator key to work the "Apply" button
DescriptionIt would be nice to have an accelerator key for the Apply button so it didn't have to be clicked with the mouse.
Steps To Reproduce1) Fire up the Logbook application
2) Open your favorite database
3) Press the "Filter" button on the toolbar to show the Filter UI
4) Mark the first "Field" checkbox
5) In the dropdown, select "DXCC"
6) Sleect "Equals" for "Match"
7) Enter "1" for the value.

At this point, to make the search go, the user has to click the "Apply" button with the mouse. It would be nice to do so with a keystroke.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-03-22 10:51

manager   ~0004520

A shelved set that adds a keyboard accelerator to the "Apply" button is out for review.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=Logbook%20Filter%20bar%20enhancements%2C%20Reload%28%29%20refactor%3Bmikeblas%40msn.com

K7ZCZ

2018-03-23 12:13

manager   ~0004544

Checked in with this change:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3990

g3ucq

2018-04-03 17:18

viewer   ~0004642

The Return key is the obvious choice.

w4elp

2018-04-03 18:12

viewer   ~0004645

Agree Return/Enter button is best. Notes indicate this was fixed in v798. Missed that one but doesn't seem to be an accelerator key in 799.

K7ZCZ

2018-04-03 20:04

manager   ~0004649

ALT+P was chosen, as ENTER is not [easily] routable in this context.

k6mkf

2018-04-03 20:15

viewer   ~0004650

Return/Enter is not effective as a Filter accelerator key in v.799

k6mkf

2018-04-03 20:16

viewer   ~0004651

Alt-P works, though.

vk2byi

2018-04-04 00:34

viewer   ~0004652

This is a great enhancement, and I can live with Alt-P. :)

Issue History

Date Modified Username Field Change
2018-03-20 09:04 K7ZCZ New Issue
2018-03-20 10:55 K7ZCZ Status new => assigned
2018-03-20 10:55 K7ZCZ Assigned To => K7ZCZ
2018-03-22 10:51 K7ZCZ Note Added: 0004520
2018-03-23 12:13 K7ZCZ Status assigned => resolved
2018-03-23 12:13 K7ZCZ Resolution open => fixed
2018-03-23 12:13 K7ZCZ Note Added: 0004544
2018-04-02 10:39 K7ZCZ Fixed in Version => 6.4.0.798
2018-04-03 17:18 g3ucq Note Added: 0004642
2018-04-03 18:12 w4elp Note Added: 0004645
2018-04-03 20:04 K7ZCZ Note Added: 0004649
2018-04-03 20:15 k6mkf Note Added: 0004650
2018-04-03 20:16 k6mkf Note Added: 0004651
2018-04-04 00:34 vk2byi Note Added: 0004652
2018-04-04 14:48 WA9PIE Status resolved => closed
2018-04-04 14:48 WA9PIE Testing Not Started => Beta Successful
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.798 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806